GNU bug report logs - #50329
Missing icon folder in emacs-lsp-treemacs package.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: cayetano.santos@HIDDEN; dated Wed, 1 Sep 2021 23:45:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 50329 <at> debbugs.gnu.org:


Received: (at 50329) by debbugs.gnu.org; 20 Mar 2022 11:25:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 07:25:54 2022
Received: from localhost ([127.0.0.1]:32930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nVth4-0002NX-7e
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2022 07:25:54 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:39527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roman.scherer@HIDDEN>) id 1nVth0-0002NH-VA
 for 50329 <at> debbugs.gnu.org; Sun, 20 Mar 2022 07:25:52 -0400
Received: by mail-wr1-f51.google.com with SMTP id j18so7686621wrd.6
 for <50329 <at> debbugs.gnu.org>; Sun, 20 Mar 2022 04:25:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burningswell-com.20210112.gappssmtp.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version;
 bh=1pfoxI7QJ1eKoFn2SlLYAvAKcdl9AEwlWLg3UNYriPY=;
 b=wHVHnUdpOyRmzmyGV0QIOv7U3twV6BFk+le/KoTsBkIduemONcTHodE3j/t2dH+vW6
 B5XBxSR/LjA4lUctlZ92UlYuzIIb0jMWrFqelmdIc+B9RKJQCwnBoIIhG39xZuu2i6Tx
 vVXpf1evh1Dbq1a/5pvLdFxhSV/gnD6LjqCpPsPlBO3his5fz1ZflVMJNYoAwrKzif2t
 hK5wa6KV5c569bbKBSIb/IZz8AQMVrnv2rrm47qfrqrol5wu41WWzeFUZyShUHzRUeCP
 zPqEVMwr9tZDERkzqA+fs0tjSND5vQhEB19DI4ef7zbRushCdhkgAK+J87Ddeefv2jRb
 KTaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version;
 bh=1pfoxI7QJ1eKoFn2SlLYAvAKcdl9AEwlWLg3UNYriPY=;
 b=6U2yQ876fUzc5OJH1/W06k0P34S0vy251XMn6AMLVWyeK7dD1TlRKD0QPQB4gMOoAh
 Pq+wFXS0g7qBEwRyYd3lahLbBYLz678Soj0AnHnKaqfbh+0uN1E0pvU6BLB5C5F5h5pP
 eBbMY0A5LMLn4HbUMkts7gQK+s8T3reNPdYp/gBi2C1NKg8vt0OpKSOqs32AjPFr0O68
 sKaor+4o9w3fB2n2sB3ZDMl9KXLafe3YQMrICNZXu5kaKNKvNp8ApRCoKFgQhr5A9+ut
 WiLZ9n6dMQA22XN+fFl8dizctOLG3NfCjLmALlb1PK8w9ghPmfOD6MB4pPw+RdvNJP/P
 A33w==
X-Gm-Message-State: AOAM532QgNixbVvXnzeqrv66NmKuqyvN0k1Fd5o7SekJwWypAWbN4OZN
 mWO9JQP9FLL+x3vEsztEFHbcuUdcgH1zl8KV
X-Google-Smtp-Source: ABdhPJyDSQwRQj/9+R2f3iJRQjNf1pjqfXD2ntxhVONIt4DokrQgraHMNkDokjn4HyB/pI2k/WZ7dg==
X-Received: by 2002:adf:e103:0:b0:1f1:d893:9bf5 with SMTP id
 t3-20020adfe103000000b001f1d8939bf5mr14635602wrz.263.1647775544473; 
 Sun, 20 Mar 2022 04:25:44 -0700 (PDT)
Received: from thinkpad (tmo-116-11.customers.d1-online.com. [80.187.116.11])
 by smtp.gmail.com with ESMTPSA id
 o11-20020adf9d4b000000b001f0077ea337sm10675998wre.22.2022.03.20.04.25.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 20 Mar 2022 04:25:44 -0700 (PDT)
References: <yu1k0jzg95d.fsf@HIDDEN> <87fsnevtxi.fsf@HIDDEN>
 <8c532497fcfb965b7c60e93b3bbd8082b3acddf4.camel@HIDDEN>
 <87wngp6l7n.fsf@HIDDEN>
 <7333ababd7753976b6165d1ce8d538586089015c.camel@HIDDEN>
 <87sfrc7vqw.fsf@HIDDEN>
 <c02a771f87791518ea8cfedd8ec83da343a8e5cb.camel@HIDDEN>
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Roman Scherer <roman.scherer@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#50329: [PATCH] Bundle icons for emacs-lsp-treemacs
Date: Sun, 20 Mar 2022 12:21:34 +0100
In-reply-to: <c02a771f87791518ea8cfedd8ec83da343a8e5cb.camel@HIDDEN>
Message-ID: <87o8207tmx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50329
Cc: Maxime Devos <maximedevos@HIDDEN>, 50329 <at> debbugs.gnu.org,
 Nicolas Goaziou <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Hi Liliana,

thanks for adding the comment locally. I just checked the source of LSP
Treemacs and yes, they are all mentioned by name here:

https://github.com/emacs-lsp/lsp-treemacs/blob/master/lsp-treemacs-themes.el#L38

Is this a problem? Should the build script remove them?

If that's the case, we could remove all those "icon themes" and just
leave this "Iconless" theme in the file:

https://github.com/emacs-lsp/lsp-treemacs/blob/master/lsp-treemacs-themes.el#L209

Roman

Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> Hi Roman, hi Maxime,
>
> Am Sonntag, dem 20.03.2022 um 11:35 +0100 schrieb Roman Scherer:
>> Hi Maxime,
>>
>> ok, I see. Thanks for the explanation. I attached a patch that
>> removes the icons from the source as per your suggestion.
>>
>> What do you think about this one?
>>
>> Thanks, Roman.
> The logic behind your patch LGTM, but it lacks an explanatory comment.
> Don't worry about resending the patch, though -- I already added the
> comment locally and am currently looking to also apply this to emacs-
> company-box.  If either of you could check whether those icons are
> referred to by name in emacs-lsp-treemacs while I'm working on company-
> box, that'd be appreciated.
>
> Cheers

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFTBAEBCAA9FiEE0iajOdjfRIFd3gygPdpSUn0qwZkFAmI3DzYfHHJvbWFuLnNj
aGVyZXJAYnVybmluZ3N3ZWxsLmNvbQAKCRA92lJSfSrBmeX8CAC8JYXLUQZ2lNOw
AGENNNw3NnzDUb9Pt3OC19qZCX6RjZFqt0vmHvD8WCJLUwIRo/qLmXkdkoULgekH
pqBrCLQbORuZtazPCW+r9Y01bZz7vmGAaQDVHdFZbMM2HFRQeBHmw57v5jiTYz37
U53/3+h3XRzIf+3UXrfwpYujNnJ+c3WLcI+I09eIwdKgcMO0PLnf7sFIzyZO0R3C
FuM0He9W7mYPmSRUTdKBZgqAMAFw9fMMnjDJDH0V0SSxDoi36qfqNjwmr1qPrm/u
OGWHTgL4JLwABdBHdGlUcDcA3qTqok/cGmdX3bVXY7mey5HGLBXmQQpJxqfYhqQ1
+eLNVAWJ
=FiUh
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#50329; Package guix. Full text available.

Message received at 50329 <at> debbugs.gnu.org:


Received: (at 50329) by debbugs.gnu.org; 20 Mar 2022 11:15:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 07:15:59 2022
Received: from localhost ([127.0.0.1]:32924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nVtXT-00029C-AL
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2022 07:15:59 -0400
Received: from mail-ej1-f65.google.com ([209.85.218.65]:36784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nVtXQ-00028y-W5
 for 50329 <at> debbugs.gnu.org; Sun, 20 Mar 2022 07:15:57 -0400
Received: by mail-ej1-f65.google.com with SMTP id bi12so24931972ejb.3
 for <50329 <at> debbugs.gnu.org>; Sun, 20 Mar 2022 04:15:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=mrPaSNJ9ehPoXJ/+cNK3arZy0v/oGpAeBd1Xivv7eng=;
 b=DzS8IUdhr6T/8gBB0au12rjkH6dTFeIjMf0FlYJYaNTJJh2pfsjSBt643AU0cv9CEk
 RQJjVgKNjielLVXWTpT4RzqYQtdwsfB4b6Yuon+E49c4Cq2DH00LMy+er3LWG76wOYrN
 Je5MOJIBluixEV8/ZrC/meE3uAo9vBhLuHYvnyF5Pi2tRPW7Tj/Nfvzst4n+5voZZuKE
 VJKNEODyNurtghJso3kY1nMjsxe/vgJNxMyiNNXnG9NKnaqjhqsHrfCqKNhB5PrDZpDf
 J+fZLW2gpnS1xloVRm6+V7NvS4FPOsqNNERt/MkLLtWqhr8BkvGebRb6cDBQjgDdDBQ6
 XzJQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=mrPaSNJ9ehPoXJ/+cNK3arZy0v/oGpAeBd1Xivv7eng=;
 b=NfKGpbeQImIpK0BQ7TTy+ZiCQ8746munyZLVFmd1RYQUU3wty0S9EzllTsRXXeyNdU
 USWY1g9shPEVUSYw1JT1eg3gncnXJ/FnSzv/zsKYAHHgbgfxnClprKa41dhjLiBemaXt
 S5l/J93vlyEnE8igrLzvj65aNf/IpinzFsn7luqob1lRG7dKCyFRpRUKWgu4T/cDr387
 9SI1oUd915rHqomOj/UOdZil0O7/ES8sA+J3WYSeuDjtrR6Oe5hZnmObVMf056oliGDa
 hFTSgd2kdKK/EHNiPsH0qx0TnC4J8N8ioZL12wPV6pZzDIpFOZr0o2iXCOwpJpNs5seS
 z1jg==
X-Gm-Message-State: AOAM530cIYOW4zrl2wt9aWuLaeE74xqryFoxYLZsu3DWPHg+xhMn4Pxd
 mZe+jUkG5Xz6zcdd2T2wxrY=
X-Google-Smtp-Source: ABdhPJyxfYRLWjBgOTR44xi6FTWWf6j10UjKsfnytnSSjcasb5RiYd5ljmnuHO1xH5tBUOrM3S5t1g==
X-Received: by 2002:a17:907:7f19:b0:6df:bfc6:67b8 with SMTP id
 qf25-20020a1709077f1900b006dfbfc667b8mr9174449ejc.72.1647774951104; 
 Sun, 20 Mar 2022 04:15:51 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 v5-20020a50c405000000b004161123bf7asm6491569edf.67.2022.03.20.04.15.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 20 Mar 2022 04:15:50 -0700 (PDT)
Message-ID: <c02a771f87791518ea8cfedd8ec83da343a8e5cb.camel@HIDDEN>
Subject: Re: bug#50329: [PATCH] Bundle icons for emacs-lsp-treemacs
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Roman Scherer <roman.scherer@HIDDEN>, Maxime Devos
 <maximedevos@HIDDEN>
Date: Sun, 20 Mar 2022 12:15:48 +0100
In-Reply-To: <87sfrc7vqw.fsf@HIDDEN>
References: <yu1k0jzg95d.fsf@HIDDEN> <87fsnevtxi.fsf@HIDDEN>
 <8c532497fcfb965b7c60e93b3bbd8082b3acddf4.camel@HIDDEN>
 <87wngp6l7n.fsf@HIDDEN>
 <7333ababd7753976b6165d1ce8d538586089015c.camel@HIDDEN>
 <87sfrc7vqw.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50329
Cc: 50329 <at> debbugs.gnu.org, Nicolas Goaziou <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Roman, hi Maxime,

Am Sonntag, dem 20.03.2022 um 11:35 +0100 schrieb Roman Scherer:
> Hi Maxime,
> 
> ok, I see. Thanks for the explanation. I attached a patch that
> removes the icons from the source as per your suggestion.
> 
> What do you think about this one?
> 
> Thanks, Roman.
The logic behind your patch LGTM, but it lacks an explanatory comment.
Don't worry about resending the patch, though -- I already added the
comment locally and am currently looking to also apply this to emacs-
company-box.  If either of you could check whether those icons are
referred to by name in emacs-lsp-treemacs while I'm working on company-
box, that'd be appreciated.

Cheers




Information forwarded to bug-guix@HIDDEN:
bug#50329; Package guix. Full text available.

Message received at 50329 <at> debbugs.gnu.org:


Received: (at 50329) by debbugs.gnu.org; 20 Mar 2022 10:40:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 06:40:19 2022
Received: from localhost ([127.0.0.1]:32852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nVsyw-00013u-Tu
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2022 06:40:19 -0400
Received: from mail-ej1-f53.google.com ([209.85.218.53]:36553)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roman.scherer@HIDDEN>) id 1nVsyu-00013N-9M
 for 50329 <at> debbugs.gnu.org; Sun, 20 Mar 2022 06:40:17 -0400
Received: by mail-ej1-f53.google.com with SMTP id bi12so24846739ejb.3
 for <50329 <at> debbugs.gnu.org>; Sun, 20 Mar 2022 03:40:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burningswell-com.20210112.gappssmtp.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version;
 bh=TYtOpyZJtdn1DvLipEWa+hYA9DT2ctcqMWjP2rwjh90=;
 b=CwHfJLpA33EVGFvQOhj7hv+v3CmrurSe0DOP9zo3aL3YDWWMrlrbtqhoomLnz2R6Ti
 gkCGKXs+kBJSuu35gNnf13YC0j/eaVELiJ6Ee5XO/P96h2hvpBZn9MY53QGbY1vxuJaL
 hgUC7xqf7314iPMMIg7S4tBoX816bP0CxoPudyG4uXCQj1VfBgnE0jZ9ntxX/KYv7y5p
 lh9o6CMNavlBSTP7DVkBrmkwB5GcV6ZOrfayPKQ4V7Xzm8NGFYLNpX9szXf2Ux9FK9tY
 PkuO2goZ0+U1v8AbwemMaTdmfvV1dN29ECXeHsLqAEorzt/J0Cs0pmz9G3RTkE+O0f4z
 3u4Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version;
 bh=TYtOpyZJtdn1DvLipEWa+hYA9DT2ctcqMWjP2rwjh90=;
 b=dbl+0STBcxMg0Hd9kOMQzCUTkubzNETvWFEFmB29Cw+ANdsgI6JNx6jeNRLW5B54vN
 fXFb/BGci/jHwyyuB30h6MQn0Yt0hfyFARuOgurMTBCik9x6/ssm1XI56z4LRYYxSxCx
 ZLJFW9c8VdgUUEsuIIwTXtty6Chb45jRGy9TJ227SPbDffaKSb+0fT9UTkl+R5RJyxzu
 TtT28OnzJc/6K4+oKdcx9n+/JVgLCfb8xM+atSoGWUFtEg/L7AaHNRpq4yCs1qtugf6/
 oYU0waQ1yalj4z/inG5QNp4X83ph5RxFHioHWeNjrjBhQbKZht/MYecr9TFC1CUnxO0J
 diUw==
X-Gm-Message-State: AOAM531EsHX0QBIlLl3E/+qtoYVMenQspWfclMmZQGW03nI8/xc7gyMG
 M/gZoIraREDniZEGI9g84KFJDQ==
X-Google-Smtp-Source: ABdhPJzY4NSlMCWXmB8jPhzHfwyNxZCv+bqyoGluWi7Bub9Kb8smnCQThAHsejIUTg5xwvSil/DAQQ==
X-Received: by 2002:a17:906:19c6:b0:6ce:98a4:5ee6 with SMTP id
 h6-20020a17090619c600b006ce98a45ee6mr16105610ejd.567.1647772810118; 
 Sun, 20 Mar 2022 03:40:10 -0700 (PDT)
Received: from thinkpad (tmo-116-11.customers.d1-online.com. [80.187.116.11])
 by smtp.gmail.com with ESMTPSA id
 u4-20020a170906780400b006ce69ff6050sm5684607ejm.69.2022.03.20.03.40.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 20 Mar 2022 03:40:09 -0700 (PDT)
References: <yu1k0jzg95d.fsf@HIDDEN> <87fsnevtxi.fsf@HIDDEN>
 <8c532497fcfb965b7c60e93b3bbd8082b3acddf4.camel@HIDDEN>
 <87wngp6l7n.fsf@HIDDEN>
 <7333ababd7753976b6165d1ce8d538586089015c.camel@HIDDEN>
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Roman Scherer <roman.scherer@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#50329: [PATCH] Bundle icons for emacs-lsp-treemacs
Date: Sun, 20 Mar 2022 11:35:19 +0100
In-reply-to: <7333ababd7753976b6165d1ce8d538586089015c.camel@HIDDEN>
Message-ID: <87sfrc7vqw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50329
Cc: Nicolas Goaziou <mail@HIDDEN>, 50329 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain


Hi Maxime,

ok, I see. Thanks for the explanation. I attached a patch that removes
the icons from the source as per your suggestion.

What do you think about this one?

Thanks, Roman.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Remove-lsp-treemacs-icons-from-source.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: Remove icons from source

From=205468ef15c239133366314d0d5131e440c2e8893f Mon Sep 17 00:00:00 2001
From: r0man <roman@HIDDEN>
Date: Sat, 19 Mar 2022 15:33:24 +0100
Subject: [PATCH] Remove lsp-treemacs icons from source

There's an issue [1] with the icon licenses of the Emacs lsp-treemacs
package. This patch removes the icons directory from the sources.

[1] https://github.com/emacs-lsp/lsp-treemacs/issues/123
=2D--
 gnu/packages/emacs-xyz.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index dcd36291fb..1b6e54ef18 100644
=2D-- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -24426,6 +24426,8 @@ (define-public emacs-lsp-treemacs
              (url "https://github.com/emacs-lsp/lsp-treemacs")
              (commit version)))
        (file-name (git-file-name name version))
+       (modules '((guix build utils)))
+       (snippet '(begin (delete-file-recursively "icons") #t))
        (sha256
         (base32 "05ivqa5900139jzjhwc3nggwznhm8564dz4ydcxym2ddd63571k0"))))
     (build-system emacs-build-system)
=2D-=20
2.34.0


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Maxime Devos <maximedevos@HIDDEN> writes:

> [[PGP Signed Part:Undecided]]
> Roman Scherer schreef op zo 20-03-2022 om 09:59 [+0100]:
>> Since the icons are not installed on a Guix system right now, I think
>> we can leave the Guix emacs-lsp-treemacs packages as it is for now.
>>
>> Once upstream has added the licenses for the icons, we could take
>> another look and maybe only install the ones that we are allowed to
>> include.
>>
>> What do you think?
>
> Even though they are not currently installed, I would still remove
> them from the 'source', as per (guix)Software Freedom:
>
>> Some otherwise free upstream package sources contain a small and
>> optional subset that violates the above guidelines, for instance
>> because this subset is itself non-free code.  When that happens,
>> the offending items are removed with appropriate patches or code
>> snippets in the =E2=80=98origin=E2=80=99 form of the package (*note Defi=
ning
>> Packages::).  This way, =E2=80=98guix build --source=E2=80=99 returns th=
e =E2=80=9Cfreed=E2=80=9D
>> source rather than the unmodified upstream source.
>
> That's about code, not icons, but the same principles apply I'd think.
> (Though for some reason, the FSDG makes an exception for things like
> images in the section =E2=80=98Non-functional Data=E2=80=99?)
>
> (In this case, the idea icons are likely to be non-free, the netbeans
> and eclipse icons are presumabl non-free.)
>
> Even if the =E2=80=98Non-Functional Data=E2=80=99 exception is followed, =
I think
> the source should still remove things that do not seem to follow the
> licensing requirements (*) (and hence, might be illegal to
> redistribute), to avoid nasty surprises for users doing "guix build --
> sources=3Dtransitive foo bar ...".
>
> (*) TBC, I am not accusing emacs-lsp-treemacs of violating license
> terms.  Rather, it is not clear to me that it does _not_ violate
> licensing terms, and I'd like any potential licensing concerns to be
> investigated (and corrected, if necessary) before including the icons
> in Guix.
>
> Greetings,
> Maxime.
>
> [[End of PGP Signed Part]]

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFTBAEBCAA9FiEE0iajOdjfRIFd3gygPdpSUn0qwZkFAmI3BIcfHHJvbWFuLnNj
aGVyZXJAYnVybmluZ3N3ZWxsLmNvbQAKCRA92lJSfSrBmVOAB/9CykOJ9SPo1Aba
0tERgAXpncjPqsXqJ4onL4+SW1/Lo6eQN9bJXc2ciJ3xghaCifuKmo5zTC1ECFDO
IjHNYRyAMGiIIXNrHxXtE5G93n4s9q2cTs3vkoaUQ5ZOCd9eQQHJbzrIZ0tcl8iB
BgGgJLxorsJJiqxBaH72QrPb3nklg2Xb0C3we+hhsLhgUa2bY4TL++4kLJ7cf0uz
LFBx7H7Z9P33Z+LUKpFBwmoO5z2m57fKCWl+wAyDli2cd2240T4C7/KYtxWNKIsa
M5sB8T+3JmBO/YATo3vkG9WeVv07lAOxG6DD+4XEb3EUmCZkHFQO5GS2CDsQX6VD
lI9rpRWv
=HF2H
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#50329; Package guix. Full text available.

Message received at 50329 <at> debbugs.gnu.org:


Received: (at 50329) by debbugs.gnu.org; 20 Mar 2022 09:41:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 05:41:26 2022
Received: from localhost ([127.0.0.1]:32835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nVs3x-0007np-Rs
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2022 05:41:26 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:44500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nVs3v-0007nf-EG
 for 50329 <at> debbugs.gnu.org; Sun, 20 Mar 2022 05:41:24 -0400
Received: from [192.168.100.254] ([188.189.51.251])
 by albert.telenet-ops.be with bizsmtp
 id 8ZhL2700K5RBSi406ZhM3h; Sun, 20 Mar 2022 10:41:21 +0100
Message-ID: <7333ababd7753976b6165d1ce8d538586089015c.camel@HIDDEN>
Subject: Re: bug#50329: [PATCH] Bundle icons for emacs-lsp-treemacs
From: Maxime Devos <maximedevos@HIDDEN>
To: Roman Scherer <roman.scherer@HIDDEN>
Date: Sun, 20 Mar 2022 10:41:11 +0100
In-Reply-To: <87wngp6l7n.fsf@HIDDEN>
References: <yu1k0jzg95d.fsf@HIDDEN> <87fsnevtxi.fsf@HIDDEN>
 <8c532497fcfb965b7c60e93b3bbd8082b3acddf4.camel@HIDDEN>
 <87wngp6l7n.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-7WLmZvicCJSBOy9rR4yF"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1647769281; bh=z+v1V69u3DlUeUnxzruU6s3oDTAw/iW1p7xtFJCG5K0=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=mPxArpAKZkXyLmeUOpNgtCuOhnH8cRfTCPmrik+Mu5rgjiVqLTu0sZyEGD77gsSXQ
 w0eTzaOtLag6og54jg7ql4QZlYIZ+dmy+FGbIjDqYTnuMjLVrsBj61VUY0NgRzyZ+W
 KeP3p66Rzz5LWdObOQpltDSIHgnkO/Wd9FMYEL6nrBXcGsmfSF54oy1A0qgY66kV1P
 qHbvVp3lP4/zBDxLyPgaLbCRuuPI/NoD+x3VExzhbHW/6Q4FIpC/5C4QFlVEfPs8Gm
 TLFdybN+9gCz7w2apL6RjQqNb+oQOzR5HXgUB70BoyZmvlft4vteLnH02q9M+qssxJ
 OqpUZRiPyqN3g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50329
Cc: Nicolas Goaziou <mail@HIDDEN>, 50329 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-7WLmZvicCJSBOy9rR4yF
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Roman Scherer schreef op zo 20-03-2022 om 09:59 [+0100]:
> Since the icons are not installed on a Guix system right now, I think
> we can leave the Guix emacs-lsp-treemacs packages as it is for now.
>=20
> Once upstream has added the licenses for the icons, we could take
> another look and maybe only install the ones that we are allowed to
> include.
>=20
> What do you think?

Even though they are not currently installed, I would still remove
them from the 'source', as per (guix)Software Freedom:

> Some otherwise free upstream package sources contain a small and
> optional subset that violates the above guidelines, for instance
> because this subset is itself non-free code.  When that happens,
> the offending items are removed with appropriate patches or code
> snippets in the =E2=80=98origin=E2=80=99 form of the package (*note Defin=
ing
> Packages::).  This way, =E2=80=98guix build --source=E2=80=99 returns the=
 =E2=80=9Cfreed=E2=80=9D
> source rather than the unmodified upstream source.

That's about code, not icons, but the same principles apply I'd think.
(Though for some reason, the FSDG makes an exception for things like
images in the section =E2=80=98Non-functional Data=E2=80=99?)

(In this case, the idea icons are likely to be non-free, the netbeans=20
and eclipse icons are presumabl non-free.)

Even if the =E2=80=98Non-Functional Data=E2=80=99 exception is followed, I =
think
the source should still remove things that do not seem to follow the
licensing requirements (*) (and hence, might be illegal to
redistribute), to avoid nasty surprises for users doing "guix build --
sources=3Dtransitive foo bar ...".

(*) TBC, I am not accusing emacs-lsp-treemacs of violating license
terms.  Rather, it is not clear to me that it does _not_ violate
licensing terms, and I'd like any potential licensing concerns to be
investigated (and corrected, if necessary) before including the icons
in Guix.

Greetings,
Maxime.

--=-7WLmZvicCJSBOy9rR4yF
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYjb2txccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7qSHAQC61MvlbdQhvdlWBcZm0RYxTH55
Z47hibYVkMqRcKLMxwD+LvplV1WakArFw3qC4VIFapWUi0bP+R3F+JyWUyRsNQs=
=Wrae
-----END PGP SIGNATURE-----

--=-7WLmZvicCJSBOy9rR4yF--





Information forwarded to bug-guix@HIDDEN:
bug#50329; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Mar 2022 09:13:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 05:13:13 2022
Received: from localhost ([127.0.0.1]:32824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nVrcf-00073m-2y
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2022 05:13:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:33620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roman.scherer@HIDDEN>) id 1nVrcc-00073d-M4
 for submit <at> debbugs.gnu.org; Sun, 20 Mar 2022 05:13:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42580)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <roman.scherer@HIDDEN>)
 id 1nVrca-0000H7-AC
 for guix-patches@HIDDEN; Sun, 20 Mar 2022 05:13:08 -0400
Received: from [2a00:1450:4864:20::52e] (port=33787
 helo=mail-ed1-x52e.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <roman.scherer@HIDDEN>)
 id 1nVrcY-0000Lw-0N
 for guix-patches@HIDDEN; Sun, 20 Mar 2022 05:13:08 -0400
Received: by mail-ed1-x52e.google.com with SMTP id r23so14890339edb.0
 for <guix-patches@HIDDEN>; Sun, 20 Mar 2022 02:13:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burningswell-com.20210112.gappssmtp.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version;
 bh=/z6RXIX2mvJVBz3aNlz591C2ZhjsPjfAfez7QqQkSPA=;
 b=YFfnzj3GWkqoWLPjaOiOjdjdOOu0dJoPcklbkXSbj+ZHKxKvGGjzzHT+HsCylOQMdp
 GxpbU8f5dSdU2rBQ3OZY7pRxyj6LjBHX1gVnuPLc8L5vK84M8JN5NzP1a6S2WRTPz5Tm
 vMm9VoHOTbMec+bMqNQdW4b/teBIsVYh+k+rGtBq343dAqUVRYAUyxbzLIVmA92jB22R
 vHB30tHhSw4pSY3aJ3pRw+WEc7D4z00x3I8MflRciyyA74Rdp8XUAxz0dH1nM//D3KpG
 n7/YGwX9KELlfrNv6HteDKDbt56Do/na7jujOmtNehmu5bqcLs/Z1DaDzDK17sVPJyuS
 D0ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version;
 bh=/z6RXIX2mvJVBz3aNlz591C2ZhjsPjfAfez7QqQkSPA=;
 b=hz606DciVX5Eve8vBnWjZKcdYHtJP/u6XvLXgbeLn48H+mPTWOY65cAcBgjlOk0Hl4
 lDhNOPTM7PPnfkj0zCcsn649yx0H9ctn/VScCLxtFyalf0HnwKs/KDQGhCKNZ2DyeHQp
 T8PDfwlcD3bYQAz72FArysukk+GINgNAxvr1q4F/6dbf3p0SJzEP+/5xu2KfeU4kFKRu
 RF3CiceOUGzKHI84oypKO8IcV3ztcrjqRQ9eOIkecibvlr0mEq8z5qExVbW7PisTrGys
 IheSdRixPqAHqyUQ8XrEsBACbN7ClkhvzVNcSHIbgLnEDaNf5H90HaiGw0IunbpOOpCx
 sqfw==
X-Gm-Message-State: AOAM531hVMOvn7Zrn25PSODsZpLWuyv1JHfDN8NYT03oCG99QD27tQ8R
 1OS5CKzs0Lt3aVKB+Tf5J1KZ6Q==
X-Google-Smtp-Source: ABdhPJzZm55L9TO6tXDQg10v1JA4ZBO1nyAG7n2ayYwu8ThkKYOkqpT8oRu7E7FdNou351pu1TiQxg==
X-Received: by 2002:a50:9d49:0:b0:418:681b:f6d with SMTP id
 j9-20020a509d49000000b00418681b0f6dmr17691266edk.160.1647767582607; 
 Sun, 20 Mar 2022 02:13:02 -0700 (PDT)
Received: from thinkpad (tmo-116-11.customers.d1-online.com. [80.187.116.11])
 by smtp.gmail.com with ESMTPSA id
 z7-20020a05640240c700b00416cee953dasm6706723edb.24.2022.03.20.02.13.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 20 Mar 2022 02:13:02 -0700 (PDT)
References: <yu1k0jzg95d.fsf@HIDDEN> <87fsnevtxi.fsf@HIDDEN>
 <8c532497fcfb965b7c60e93b3bbd8082b3acddf4.camel@HIDDEN>
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Roman Scherer <roman.scherer@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#50329: [PATCH] Bundle icons for emacs-lsp-treemacs
Date: Sun, 20 Mar 2022 09:59:31 +0100
In-reply-to: <8c532497fcfb965b7c60e93b3bbd8082b3acddf4.camel@HIDDEN>
Message-ID: <87wngp6l7n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:1450:4864:20::52e
 (failed)
Received-SPF: none client-ip=2a00:1450:4864:20::52e;
 envelope-from=roman.scherer@HIDDEN; helo=mail-ed1-x52e.google.com
X-Spam_score_int: -4
X-Spam_score: -0.5
X-Spam_bar: /
X-Spam_report: (-0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, PDS_HP_HELO_NORDNS=0.659, RCVD_IN_DNSWL_NONE=-0.0001,
 RDNS_NONE=0.793, SPF_HELO_NONE=0.001, SPF_NONE=0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: Nicolas Goaziou <mail@HIDDEN>, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Hi Maxime,

thanks for taking a look at my patch and uncovering this license
issue. I was not aware of that.

When I said the emacs-lsp-treemacs package is not bundling it's icons, I
meant that the Guix emacs-lsp-treemacs package does not install them.

So, without my patch, I see the following files installed on my system:

[roman@thinkpad ~]$ find /gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-=
lsp-treemacs-0.4
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/em=
acs
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/em=
acs/site-lisp
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/em=
acs/site-lisp/lsp-treemacs-0.4
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/em=
acs/site-lisp/lsp-treemacs-0.4/lsp-treemacs-pkg.el
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/em=
acs/site-lisp/lsp-treemacs-0.4/lsp-treemacs.elc
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/em=
acs/site-lisp/lsp-treemacs-0.4/lsp-treemacs-autoloads.el
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/em=
acs/site-lisp/lsp-treemacs-0.4/lsp-treemacs-themes.el
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/em=
acs/site-lisp/lsp-treemacs-0.4/lsp-treemacs.el
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/em=
acs/site-lisp/lsp-treemacs-0.4/lsp-treemacs-themes.elc
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/em=
acs/site-lisp/lsp-treemacs-0.4/lsp-treemacs-autoloads.elc
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/doc
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/do=
c/emacs-lsp-treemacs-0.4
/gnu/store/z634qq81f0qfvqzr0rcavpc16bdc9zs3-emacs-lsp-treemacs-0.4/share/do=
c/emacs-lsp-treemacs-0.4/LICENSE

Since the icons are not installed on a Guix system right now, I think we
can leave the Guix emacs-lsp-treemacs packages as it is for now.

Once upstream has added the licenses for the icons, we could take
another look and maybe only install the ones that we are allowed to
include.

What do you think?

Thanks, Roman.

Maxime Devos <maximedevos@HIDDEN> writes:

> [[PGP Signed Part:Undecided]]
> Roman Scherer schreef op za 19-03-2022 om 16:29 [+0100]:
>> the emacs-lsp-treemacs package does not bundle it's icons. This patch
>> fixes the issue by copying the icons to `share/emacs-lsp-
>> treemacs/icons` and patching the paths in `lsp-treemacs-themes.el`.
>
> That might technically solves matter, though instead of copying, why
> not just change
>
>   (string-append "\"" out "/share/" ,name "/icons/" name "\"")
>
> to the location of the icons?  Unless you meant something else with
> bundling here ...
>
> Also, what do you mean with bundling exactly?  AFAICT, the icons _are_
> bundled, in the directory 'icons', and so far they have not yet been
> unbundled in Guix -- the problem is that they are not installed (yet)
> -- in that case, the patch seems reasonable to me.
>
> Additionally, there may be some licensing problems.  The icons
> apparently come from =E2=80=98eclipse=E2=80=99, =E2=80=98idea=E2=80=99 an=
d =E2=80=98netbeans=E2=80=99.  I don't
> actually know which license these have, but:
>
>   * idea is propietary, so probably its icons are as well
>   * Eclipse is ASL, which probably has some kind of requirement
>     that you need to preserve license and copyright information,
>     which seems to be completely ignored here.
>   * the relevant licenses don't appear to be entioned in the
>     'licenses' field.
>
> As such, if these problems are not resolved, I think it will be
> necessary to remove emacs-lsp-treemacs.
>
> It seems like emacs-company-box
> (https://github.com/sebastiencs/company-box/tree/master/images)
> has the same problem as well.
>
> Also seem upstream <https://github.com/emacs-lsp/lsp-treemacs/issues/123>.
>
> Greetings,
> Maxime.
>
> [[End of PGP Signed Part]]

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFTBAEBCAA9FiEE0iajOdjfRIFd3gygPdpSUn0qwZkFAmI28BwfHHJvbWFuLnNj
aGVyZXJAYnVybmluZ3N3ZWxsLmNvbQAKCRA92lJSfSrBmepdB/4rlqm3wtys21gb
Dn0K3EziKih4SKRM1TXgTgdHai++fhZlMAqUrbxMCsB7k54CzEpGMRShgR3ZHE5h
UyQwe3exuOrlp7wQzr4hGC1ld5yetHFxXAaTprkjdCnr8RWTv8EeAxewPE7kHy1B
PqriCti9vNNe/lbsiN0v6QtVW+w90GwQ/mCQjASTnGnaeZYKjkEv66d+tfF52vNB
0p+7PzLzA2zMbvflTMIR9+JhSZU3n/CiJ3CkVH8CtrJxyovT4yafkP2DoJBBPqj0
TDGiDlbc+ZWy7i9Rr02MAxcWEyMfTTfz2scNKd9MybvSai8i/D+VGcYKd1GY52Sb
i3TEbHB6
=oshl
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#50329; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Mar 2022 20:11:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 19 16:11:10 2022
Received: from localhost ([127.0.0.1]:60655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nVfPq-00032F-47
	for submit <at> debbugs.gnu.org; Sat, 19 Mar 2022 16:11:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:57548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nVfPo-000328-Ns
 for submit <at> debbugs.gnu.org; Sat, 19 Mar 2022 16:11:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60314)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maximedevos@HIDDEN>)
 id 1nVfPo-0008Jv-7F
 for guix-patches@HIDDEN; Sat, 19 Mar 2022 16:11:08 -0400
Received: from [2a02:1800:110:4::f00:18] (port=44146
 helo=michel.telenet-ops.be)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <maximedevos@HIDDEN>)
 id 1nVfPj-0003Mn-BS
 for guix-patches@HIDDEN; Sat, 19 Mar 2022 16:11:07 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by michel.telenet-ops.be with bizsmtp
 id 8LAw2700G4UW6Th06LAwh2; Sat, 19 Mar 2022 21:10:58 +0100
Message-ID: <8c532497fcfb965b7c60e93b3bbd8082b3acddf4.camel@HIDDEN>
Subject: Re: bug#50329: [PATCH] Bundle icons for emacs-lsp-treemacs
From: Maxime Devos <maximedevos@HIDDEN>
To: Roman Scherer <roman.scherer@HIDDEN>, guix-patches@HIDDEN
Date: Sat, 19 Mar 2022 21:10:52 +0100
In-Reply-To: <87fsnevtxi.fsf@HIDDEN>
References: <yu1k0jzg95d.fsf@HIDDEN> <87fsnevtxi.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-xmvQ4Jy8g45EzRuI6hnw"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1647720658; bh=WneAUQFrDweYmLFrfUEKL6thXKC9a1MUYDTo0wlYy+U=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=hqKmC/wAHjt/+uAiAwN1Mp9477ouOWolOJAn1SZT5Gt3N1m+jofrJhkh+Jg6jSqpM
 pdRDET643E9dkZotCxdzn8zYkdfUEhOp2DQKtsncOL3Cnf1HXsY7vk+FNvNBfxj1St
 MqaNJVHuDtWNFwFhyuxEaKA3km9dhSUd5Qv5sH79Qug33wBImGy7lVvHMEylKBMvme
 84C40jA6V4wPgEi6b96CC+2Exdfaoi0LsOFuhprbwYlhnABbZhpLrZ35mss207vzDP
 uR84vRxDwZeBm1U1Qj28aS653PdmHnj508rCnV39ITXx1bruS6ZhgedNvjmsBJ7rJ4
 C3aD1XaqnIHzg==
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a02:1800:110:4::f00:18
 (failed)
Received-SPF: pass client-ip=2a02:1800:110:4::f00:18;
 envelope-from=maximedevos@HIDDEN; helo=michel.telenet-ops.be
X-Spam_score_int: -19
X-Spam_score: -2.0
X-Spam_bar: --
X-Spam_report: (-2.0 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RDNS_NONE=0.793, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Nicolas Goaziou <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--=-xmvQ4Jy8g45EzRuI6hnw
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Roman Scherer schreef op za 19-03-2022 om 16:29 [+0100]:
> the emacs-lsp-treemacs package does not bundle it's icons. This patch
> fixes the issue by copying the icons to `share/emacs-lsp-
> treemacs/icons` and patching the paths in `lsp-treemacs-themes.el`.

That might technically solves matter, though instead of copying, why
not just change

  (string-append "\"" out "/share/" ,name "/icons/" name "\"")

to the location of the icons?  Unless you meant something else with
bundling here ...

Also, what do you mean with bundling exactly?  AFAICT, the icons _are_
bundled, in the directory 'icons', and so far they have not yet been
unbundled in Guix -- the problem is that they are not installed (yet)
-- in that case, the patch seems reasonable to me.

Additionally, there may be some licensing problems.  The icons
apparently come from =E2=80=98eclipse=E2=80=99, =E2=80=98idea=E2=80=99 and =
=E2=80=98netbeans=E2=80=99.  I don't
actually know which license these have, but:

  * idea is propietary, so probably its icons are as well
  * Eclipse is ASL, which probably has some kind of requirement
    that you need to preserve license and copyright information,
    which seems to be completely ignored here.
  * the relevant licenses don't appear to be entioned in the
    'licenses' field.

As such, if these problems are not resolved, I think it will be
necessary to remove emacs-lsp-treemacs.

It seems like emacs-company-box
(https://github.com/sebastiencs/company-box/tree/master/images)
has the same problem as well.

Also seem upstream <https://github.com/emacs-lsp/lsp-treemacs/issues/123>.

Greetings,
Maxime.

--=-xmvQ4Jy8g45EzRuI6hnw
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYjY4zBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7mptAP47XNeYT7ves7UyacUdvOptbBS2
D44/yc2qupwRyrcpfgD/Rptrs/VdWm+r6t+sEOs4wcIpoUuxHiBU5zy323IcIQc=
=Bikt
-----END PGP SIGNATURE-----

--=-xmvQ4Jy8g45EzRuI6hnw--





Information forwarded to bug-guix@HIDDEN:
bug#50329; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Mar 2022 16:37:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 19 12:37:10 2022
Received: from localhost ([127.0.0.1]:60506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nVc4j-0005fF-Qa
	for submit <at> debbugs.gnu.org; Sat, 19 Mar 2022 12:37:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:51810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roman.scherer@HIDDEN>) id 1nVb4x-0003tz-25
 for submit <at> debbugs.gnu.org; Sat, 19 Mar 2022 11:33:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54520)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <roman.scherer@HIDDEN>)
 id 1nVb4w-0001N7-Q6
 for guix-patches@HIDDEN; Sat, 19 Mar 2022 11:33:18 -0400
Received: from [2a00:1450:4864:20::52c] (port=34546
 helo=mail-ed1-x52c.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <roman.scherer@HIDDEN>)
 id 1nVb4u-0001Av-SK
 for guix-patches@HIDDEN; Sat, 19 Mar 2022 11:33:18 -0400
Received: by mail-ed1-x52c.google.com with SMTP id h1so13375019edj.1
 for <guix-patches@HIDDEN>; Sat, 19 Mar 2022 08:33:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burningswell-com.20210112.gappssmtp.com; s=20210112;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=z5pELkVsIAwgSdo6qUsfifNT/TZ4eY3B17pR2fKJiho=;
 b=sSo2EAjQndbAMF7r9y6/j02nfPn8c61VFwMbgnS5DvGH9BBt0vVpdT9ZFjMK3j7akb
 fES03glquWBW8Jzu9EZbVvi+2WklwiPCt8/r2TSCPgACBPSeBBK9p83/ItxO8JpIBLcw
 B7JKKxZZRjctLFHsOBCllHnIby+5FpCYbEOexNsdhn1XgzXkjbnlURyLyHqqG7MRku5Y
 EGhmicNllQrPyiTKfCZxeHHhNP7y5hetn/REGFH9fmg8OzpDCT/84q5AKElL9zMfxd74
 K4tVye3l8KsrcgerMRv/uwSryMfdReU0bf29eK8WXMMO8Ur7MyTL3pqaIhuc6R3xzf3J
 zkHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=z5pELkVsIAwgSdo6qUsfifNT/TZ4eY3B17pR2fKJiho=;
 b=T+2A+tZt2xbCozzN1WGNps23rLhsVVWjf0qJ/NOuAMboDtlZuL9+86IJ7uUKTcm/Wm
 un4OnlGMeQdjehcmOb3lRwvGbdeKyHj9PM2vDwrl19ZI8BVJ/dkCOs+NrP/18steWxuV
 IZU7n3aeMQzbrBvbTVYk6sEbJhWPX7wSf/3zcZ/Y5UJeqe1uQG8tlNo1CB9Sxu/+obRs
 y+nLyoOdzMgBcTHFISn8onHKcaxFk9qnuddppQ9TRmLFJNLIkN2IrHCjucU2DsnJOH4u
 qXHItBjcLkhgnFh3uS8qafCgoGJ/CuDHb1Dec7RH04KUvYidEX1aViPu+OfHXX+8m56d
 ePEQ==
X-Gm-Message-State: AOAM533Jm2vkFizjz76Iv5Ywjhn5n9pbKBTnsuLUA1K+T5Uy4uLVzAwr
 8qFCLTAP/SeVdm7H4o2JD1efV5GADs90rW2C
X-Google-Smtp-Source: ABdhPJxDzIVnoUWlwVq02xxx21/yKZW9q2apSSrkFXgPcZAG81aEQfmQ3JJByTZ1GI2N4GcGMBi8XQ==
X-Received: by 2002:a05:6402:1ca2:b0:419:1e4e:3244 with SMTP id
 cz2-20020a0564021ca200b004191e4e3244mr4040078edb.289.1647703994849; 
 Sat, 19 Mar 2022 08:33:14 -0700 (PDT)
Received: from thinkpad (tmo-117-20.customers.d1-online.com. [80.187.117.20])
 by smtp.gmail.com with ESMTPSA id
 s11-20020a056402520b00b00416c0baee96sm5878882edd.6.2022.03.19.08.33.13
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Mar 2022 08:33:14 -0700 (PDT)
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Roman Scherer <roman.scherer@HIDDEN>
To: guix-patches@HIDDEN
Subject: [bug#50329][PATCH] Bundle icons for emacs-lsp-treemacs
Date: Sat, 19 Mar 2022 16:29:54 +0100
Message-ID: <87fsnevtxi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:1450:4864:20::52c
 (failed)
Received-SPF: none client-ip=2a00:1450:4864:20::52c;
 envelope-from=roman.scherer@HIDDEN; helo=mail-ed1-x52c.google.com
X-Spam_score_int: -4
X-Spam_score: -0.5
X-Spam_bar: /
X-Spam_report: (-0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, PDS_HP_HELO_NORDNS=0.659, RCVD_IN_DNSWL_NONE=-0.0001,
 RDNS_NONE=0.793, SPF_HELO_NONE=0.001, SPF_NONE=0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 19 Mar 2022 12:37:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain


Hello,

the emacs-lsp-treemacs package does not bundle it's icons. This patch
fixes the issue by copying the icons to `share/emacs-lsp-treemacs/icons`
and patching the paths in `lsp-treemacs-themes.el`.

This is the link to the issue in bug tracker: https://issues.guix.gnu.org/50329

Would you like to apply this patch?

Thanks, Roman.

This is my 2nd mail, because I forgot to set the subject in the previous.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Bundle-emacs-lsp-treemacs-icons.patch
Content-Description: Patch

From 70b409e51ea655c79fac20d9990b9644ddd4f19c Mon Sep 17 00:00:00 2001
From: r0man <roman@HIDDEN>
Date: Sat, 19 Mar 2022 15:33:24 +0100
Subject: [PATCH] Bundle emacs-lsp-treemacs icons

---
 gnu/packages/emacs-xyz.scm | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index dcd36291fb..a1328ef57a 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -24429,6 +24429,19 @@ (define-public emacs-lsp-treemacs
        (sha256
         (base32 "05ivqa5900139jzjhwc3nggwznhm8564dz4ydcxym2ddd63571k0"))))
     (build-system emacs-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'install 'patch-paths
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out")))
+               (substitute* "lsp-treemacs-themes.el"
+                 (("\\(f-join \\(f-dirname \\(or load-file-name buffer-file-name\\)\\) \"icons/([^\"]+)\"\\)" all name)
+                  (string-append "\"" out "/share/" ,name "/icons/" name "\""))))))
+         (add-after 'install 'install-data
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out")))
+               (copy-recursively "icons" (string-append out "/share/" ,name "/icons"))))))))
     (propagated-inputs
      (list emacs-lsp-mode emacs-treemacs))
     (home-page "https://github.com/emacs-lsp/lsp-treemacs")
-- 
2.34.0


--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#50329; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Sep 2021 23:44:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 01 19:44:21 2021
Received: from localhost ([127.0.0.1]:39189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLZu1-0006dW-ES
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 19:44:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:44214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <csantosb@HIDDEN>) id 1mLZnT-0006Th-UQ
 for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 19:37:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60880)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <csantosb@HIDDEN>)
 id 1mLZnT-0007rc-OU
 for bug-guix@HIDDEN; Wed, 01 Sep 2021 19:37:35 -0400
Received: from latitanza.investici.org ([2001:888:2000:56::19]:31839)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <csantosb@HIDDEN>)
 id 1mLZnP-00015X-6y
 for bug-guix@HIDDEN; Wed, 01 Sep 2021 19:37:35 -0400
Received: from mx3.investici.org (unknown [127.0.0.1])
 by latitanza.investici.org (Postfix) with ESMTP id 4H0L7g570JzGp45
 for <bug-guix@HIDDEN>; Wed,  1 Sep 2021 23:37:19 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1630539439;
 bh=L7pC0DT5J8sUqTrt7ck4TdjEVGh8AfGU0eoafI+lCF4=;
 h=From:To:Subject:Date:Reply-To:From;
 b=rGyPh2v56SI/1liwLBogc0XC4DRNDZHY/2rS7ep9SVAgn48oJUYaKQANA3RokBm8c
 5bjxG8DUSNmPj+LimeDwLf8qZg/qRtZcu3T+sQOSlSFUOKERj0mBQrtF85Uo+GzULo
 7xx7n+iizdg7tf8zmK7Lu4KyPf/MVK5LVg1EdK/w=
Received: from [82.94.249.234] (mx3.investici.org [82.94.249.234])
 (Authenticated sender: cayetano.santos@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4H0L7g3nPnzGp44
 for <bug-guix@HIDDEN>; Wed,  1 Sep 2021 23:37:19 +0000 (UTC)
User-agent: mu4e 1.6.5; emacs 28.0.50
From: Cayetano Santos <csantosb@HIDDEN>
To: bug-guix@HIDDEN
Subject: Missing icon folder in emacs-lsp-treemacs package.
Date: Thu, 02 Sep 2021 01:31:06 +0200
Message-ID: <yu1k0jzg95d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2001:888:2000:56::19;
 envelope-from=csantosb@HIDDEN; helo=latitanza.investici.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 01 Sep 2021 19:44:20 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: cayetano.santos@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Context:

Using guix as a (emacs packages) package manager on top of=20
archlinux.


Problem

I get the following error when using emacs-lsp-treemacs.

  Cannot find image file=20
  =E2=80=98/gnu/store/famkwbglv5sl7x08z671jyqdj1ngbw6p-emacs-lsp-treemacs-0=
.3/share/emacs/site-lisp/lsp-treemacs-0.3/icons/vscode/symbol-method.png=E2=
=80=99=20
  [8 times]

Indeed, the icons folder is missing.


Solution

From the github repository

    https://github.com/emacs-lsp/lsp-treemacs

the icons folder is present.

Additionally, when installing from melpa, I observe that the icons=20
folder gets installed.




Acknowledgement sent to cayetano.santos@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#50329; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 20 Mar 2022 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.